Loading...
Searching...
No Matches
casacore::TabPath Class Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

More...

`#include <TabPath.h>`

## Public Member Functions

| TabPath ()
| Create a table file search path with a.COD{Directory} Use default path., ~/TabDir.
| TabPath (const String &)
| Create a table file search path with given path name.
| ~TabPath ()
| Remove a table file search path.
Bool | found (const String &, String &) const
| Find a file in one of the directories.
const String & | dir (uInt dirnr) const
| Get the directory name.

## Private Attributes

Block< String > | tabDir_p
uInt | nrDir_p

## Detailed Description

Search path for table files

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

TabPath is the class containing the search path for table files. It is used by the TabDesc class to find the directory of a table description.

### To Do

- This class has to be replaced by a more general path class.

Definition at line 60 of file TabPath.h.

## Constructor & Destructor Documentation

## TabPath() [1/2]

casacore::TabPath::TabPath | ( |  | ) |

Create a table file search path with a.COD{Directory} Use default path., ~/TabDir.

## TabPath() [2/2]

casacore::TabPath::TabPath | ( | const String & |  | ) |

Create a table file search path with given path name.

## ~TabPath()

casacore::TabPath::~TabPath | ( |  | ) |

Remove a table file search path.

## Member Function Documentation

## dir()

const String & casacore::TabPath::dir | ( | uInt | dirnr | ) | const

Get the directory name.

## found()

Bool casacore::TabPath::found | ( | const String & | ,
|  | String & | ) const

Find a file in one of the directories.

## Member Data Documentation

## nrDir_p

uInt casacore::TabPath::nrDir_p

private

Definition at line 81 of file TabPath.h.

## tabDir_p

Block<String> casacore::TabPath::tabDir_p

private

Definition at line 80 of file TabPath.h.

The documentation for this class was generated from the following file:

- tables/Tables/TabPath.h